org.apache.sysds.runtime.io

## Class FrameReaderTextCSV

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReader
  - - org.apache.sysds.runtime.io.FrameReaderTextCSV

- Direct Known Subclasses:
    FrameReaderTextCSVParallel

      public class FrameReaderTextCSV
      extends FrameReader

  Single-threaded frame text csv reader.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameReaderTextCSV(FileFormatPropertiesCSV props)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FrameBlock` | `readFrameFromHDFS(String fname, Types.ValueType[] schema, String[] names, long rlen, long clen)`
    `FrameBlock` | `readFrameFromInputStream(InputStream is, Types.ValueType[] schema, String[] names, long rlen, long clen)`

    - ### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

      `getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameReaderTextCSV

          public FrameReaderTextCSV(FileFormatPropertiesCSV props)

  - ### Method Detail

    - #### readFrameFromHDFS

          public final FrameBlock readFrameFromHDFS(String fname,
                                                    Types.ValueType[] schema,
                                                    String[] names,
                                                    long rlen,
                                                    long clen)
                                             throws IOException,
                                                    DMLRuntimeException

      Specified by:
        `readFrameFromHDFS` in class `FrameReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### readFrameFromInputStream

          public FrameBlock readFrameFromInputStream(InputStream is,
                                                     Types.ValueType[] schema,
                                                     String[] names,
                                                     long rlen,
                                                     long clen)
                                              throws IOException,
                                                     DMLRuntimeException

      Specified by:
        `readFrameFromInputStream` in class `FrameReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.